package org.semanticweb.triple.language;

import java.util.*;
import org.semanticweb.glp.*;


// how do we handle Doubles in RDF version???

public class DoubleTerm extends Term {

  double value;

  public DoubleTerm () {}

  public DoubleTerm (double value) {
    this.value = value;
  }

  // public void putValue(String ...) { this.name = name; }

  public double getValue() { return value; }


  public String toString(Syntax syntax) {
    return ""+value;
  }

  public GLPTerm toGLP(GLPTerm glpModel, ArrayList glpFormulae) {
    return new GLPTermDouble(new Double(value));
  }
  
}
