/*
 * Implies.java
 *
 * Created on February 6, 2002, 1:39 PM
 */

package org.semanticweb.triple.language;

import java.util.*;
import org.semanticweb.glp.*;


/**
 * -> formula.
 * @author  Michael Sintek
 * @version 
 */
public class Implies extends BinaryFormula {

  public String toString(Syntax syntax) {
    StringBuffer buffer = new StringBuffer();
    buffer.append("(");
    buffer.append(firstFormula.toString(syntax));
    buffer.append(" -> "); // from Syntax?
    buffer.append(secondFormula.toString(syntax));
    buffer.append(")");
    appendModel(syntax, buffer);
    return buffer.toString();
  }
  
  public GLogicFormula toGLP(GLPTerm model) {
    ArrayList glpFormulae = new ArrayList();
    model = overrideModel(model, this.model, glpFormulae);
    GLPImplies glpImplies = 
      new GLPImplies(firstFormula.toGLP(model), secondFormula.toGLP(model));
    return And.makeGLPConjunction(glpFormulae, glpImplies);
  }
    
}
