package org.semanticweb.lp;

import org.semanticweb.utilities.SyntaxHelper;


/**
 *  Description of the Class
 *
 *@author     Administrator
 *@created    January 17, 2002
 */
public class ConstTerm extends Term {
    String functor;


    /**
     *  Constructor for the ConstTerm object
     *
     *@param  functor  Description of the Parameter
     */
    public ConstTerm(String functor) {
        this.functor = functor;
    }


    /**
     *  Gets the functor attribute of the ConstTerm object
     *
     *@return    The functor value
     */
    public String getFunctor() {
        return functor;
    }


    /**
     *  Description of the Method
     *
     *@return    Description of the Return Value
     */
    public String toString() {
        return SyntaxHelper.symbol(functor, true); // [MS]
    }
    
}
