package org.semanticweb.lp;

import org.semanticweb.utilities.SyntaxHelper;


/**
 *  Description of the Class
 *
 *@author     Administrator
 *@created    January 17, 2002
 */
public class VariableTerm extends Term {
    String variable;


    /**
     *  Constructor for the VariableTerm object
     *
     *@param  variable  Description of the Parameter
     */
    public VariableTerm(String variable) {
        this.variable = variable;
    }


    /**
     *  Gets the variable attribute of the VariableTerm object
     *
     *@return    The variable value
     */
    public String getVariable() {
        return variable;
    }


    /**
     *  Description of the Method
     *
     *@return    Description of the Return Value
     */
    public String toString() {
        return SyntaxHelper.prologVariable(variable); // [MS]
    }
    
}
