 package org.semanticweb.triple.inference;

import java.io.*;
import java.util.*;
import java.util.Enumeration;
import java.util.NoSuchElementException;

/*
 *  Name: AtomsEnumeration.java
 *  Version: 1.1
 *  Purpose: Enumeration of atoms
 *  History:
 *  Description of the Class
 *
 *  @author     Administrator
 *  @created    January 17, 2002
 */
/**
 *  Description of the Class
 *
 *@author     Administrator
 *@created    January 17, 2002
 */
public class AtomsEnumeration implements Enumeration {
    IndexEnumeration enm;


    /**
     *  Constructor
     *
     *@param  R  Description of the Parameter
     */
    public AtomsEnumeration(Atoms R) {
        enm = R.indices.avl.elements();
    }


    /**
     *  Are there more elements available?
     *
     *@return    Description of the Return Value
     */
    public boolean hasMoreElements() {
        return enm.hasMoreElements();
    }


    /**
     *  Give the next element. Throws NoSuchElementException if no further
     *  element is available
     *
     *@return                             Description of the Return Value
     *@exception  NoSuchElementException  Description of the Exception
     */
    public Object nextElement() throws NoSuchElementException {
        return enm.nextElement();
    }
}
