package org.semanticweb.triple.inference;

/*
 *  Name: TermSet.java
 *  Version: 1.0
 *  Purpose:
 *  History:
 */
import java.util.Hashtable;
import java.io.*;
import java.net.*;
import java.util.*;

/**
 *  Description of the Class
 *
 *@author     Administrator
 *@created    January 17, 2002
 */
public class TermSet extends Object {
    /**
     *  Description of the Field
     */
    public static int anz = 0;
    /**
     *  Description of the Field
     */
    public int anzterms;
    Liste liste;


    /**
     *  Constructor for the TermSet object
     */
    public TermSet() {
        liste = new Liste();
        anzterms = 0;
    }


    /**
     *  Description of the Method
     *
     *@param  t  Description of the Parameter
     *@return    Description of the Return Value
     */
    public boolean In(Term t) {
        return liste.In(t.toString());
    }


    /**
     *  Description of the Method
     *
     *@param  t  Description of the Parameter
     *@return    Description of the Return Value
     */
    public boolean Insert(Term t) {
//System.out.println("->TermSet:Insert");
        boolean inserted;
        inserted = liste.Append(t.toString(), t);
        anzterms = liste.anz;
        if (inserted) {
            anz++;
            return true;
        }
        else {
            return false;
        }
    }


    /**
     *  Description of the Method
     *
     *@param  p  Description of the Parameter
     */
    public void internalize(PrintStream p) {
        ListElement l;
        for (l = this.liste.first.next; l != this.liste.last; l = l.next) {
            ((Term) l.element).internalize(p);
            p.println();
        }
    }


    /**
     *  Description of the Method
     *
     *@param  T1  Description of the Parameter
     *@param  T2  Description of the Parameter
     */
    public void Intersect(TermSet T1, TermSet T2) {
//System.out.println("->TermSet:Intersect");
        liste.Intersect(T1.liste, T2.liste);
        this.anzterms = liste.anz;
    }


    /**
     *  Description of the Method
     */
    public void print() {
        ListElement l;
        for (l = this.liste.first.next; l != this.liste.last; l = l.next) {
            ((Term) l.element).print(System.out);
            System.out.println();
        }
    }


    /*
     *  public static void printstatistics() {
     *  System.out.print("ifs: "); System.out.println(Liste.ifs);
     *  System.out.print("elses: "); System.out.println(Liste.elses);
     *  }
     */
    /**
     *  Description of the Method
     *
     *@param  TS  Description of the Parameter
     */
    public void Union(TermSet TS) {
//System.out.println("->TermSet:Union");
        this.liste.Concat(TS.liste);
        this.anzterms = liste.anz;
    }
}
