/*
 * TripleSyntax.java
 *
 * Created on February 4, 2002, 4:36 PM
 */

package org.semanticweb.triple.language;

import org.semanticweb.utilities.*;


/**
 * A "native" TRIPLE syntax.
 * @author  sintek
 * @version 
 */
public class TripleSyntax implements Syntax {

  public String getSymbol(String symbol) {
    return SyntaxHelper.symbol(symbol, false);
  }
    
  public String getVariable(String name) {
    if (name == null || name.equals(""))
      return "_"; // anonymous variable; "?" ??
    else
      return "?" + name; // not correct!!!
  }
    
  public String getOr() {
    return " or ";
  }
  
  public String getAnd() {
    return " and ";
  }
  
  public String getIf() {
    return " <- ";
  }
  
  public String getQueryIf() {
    return "<- ";
  }
  
}
